set(srcs
    "protobuf/nanopb/pb_common.c"
    "protobuf/nanopb/pb_decode.c"
    "protobuf/nanopb/pb_encode.c"
    "protobuf/LoToHi.pb.c"
    "protobuf/HiToLo.pb.c"
    "src/sync_slave.c"
    "src/sync_master.c"
    )


idf_component_register(SRCS "${srcs}"
                    INCLUDE_DIRS "include" "protobuf"
                    PRIV_REQUIRES driver esp_timer
                    REQUIRES config evse loadbalancer)



